Skip to content

CertProfiles ​

11 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
uploadCaCertFile_1POSTUpload CA profile file
uploadClientCertFile_1POSTUpload client certificate profile file
uploadClientPrivateKeyFile_1POSTUpload client private key file
getAllCertProfileGETGet certificate profile list
getGridCertProfile_1GETGet grid certificate profile list
createCertProfile_1POSTCreate a new certificate profile
deleteCertProfile_1DELETEDelete an exist certificate profile
getCertProfileDetail_1GETGet a certificate profile detail
modifyCertProfile_1POSTModify an exist certificate profile
deleteCertProfileFile_1POSTDelete an exist certificate profile file
deleteCertProfileFile_2POSTDelete an exist certificate profile file by id in url (deprecated)

uploadCaCertFile_1 ​

POST /openapi/v1/{omadacId}/files/sites/{siteId}/setting/profiles/cert-profiles/ca-cert

Upload CA profile file

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
dataquerystringyesCertificate profile file name

Request body — application/json (optional)

FieldTypeRequiredDescription
filestring (binary)yesCertificate profile file
json
// omada_call_operation
{
  "operationId": "uploadCaCertFile_1",
  "params": {
    "siteId": "<siteId>",
    "data": "<data>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Upload CA profile file of the omadac with the given omadacId.
The interface requires one of the permissions:
Network Config Page Modify
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30025 - Failed to import the certificate.
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-33796 - The size of the certificate file has exceeded the limit. It should be less than 10KB.
-33797 - The certificate file cannot be parsed, please check the file or try uploading another file

uploadClientCertFile_1 ​

POST /openapi/v1/{omadacId}/files/sites/{siteId}/setting/profiles/cert-profiles/client-cert

Upload client certificate profile file

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
dataquerystringyesCertificate profile file name

Request body — application/json (optional)

FieldTypeRequiredDescription
filestring (binary)yesCertificate profile file
json
// omada_call_operation
{
  "operationId": "uploadClientCertFile_1",
  "params": {
    "siteId": "<siteId>",
    "data": "<data>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Upload client certificate profile file of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Network Config Page Modify
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30025 - Failed to import the certificate.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-33796 - The size of the certificate file has exceeded the limit. It should be less than 10KB.
-33797 - The certificate file cannot be parsed, please check the file or try uploading another file

uploadClientPrivateKeyFile_1 ​

POST /openapi/v1/{omadacId}/files/sites/{siteId}/setting/profiles/cert-profiles/client-private-key

Upload client private key file

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
dataquerystringyesCertificate profile file name

Request body — application/json (optional)

FieldTypeRequiredDescription
filestring (binary)yesCertificate profile file
json
// omada_call_operation
{
  "operationId": "uploadClientPrivateKeyFile_1",
  "params": {
    "siteId": "<siteId>",
    "data": "<data>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Upload client private key file of the omadac with the given omadacId.
The interface requires one of the permissions:
Network Config Page Modify
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30025 - Failed to import the certificate.
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-33796 - The size of the certificate file has exceeded the limit. It should be less than 10KB.
-33797 - The certificate file cannot be parsed, please check the file or try uploading another file

getAllCertProfile ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/profiles/all-cert-profiles

Get certificate profile list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getAllCertProfile",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get certificate profile list.(Pagination).
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

getGridCertProfile_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/profiles/cert-profiles

Get grid certificate profile list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
filters.typequeryintegernoFilter query parameters, support field type, it should be a value as follows: 0: CA Cert; 1: Client Cert.
filters.statusqueryintegernoFilter query parameters, support field status, it should be a value as follows: 0: Normal; 1: Expired Soon; 2: Expired
searchKeyquerystringnoFuzzy query parameters, support field Name
json
// omada_call_operation
{
  "operationId": "getGridCertProfile_1",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get grid certificate profile list.(Pagination).
The interface requires one of the permissions:
Network Config Page View Only
Site Settings Manager View Only

createCertProfile_1 ​

POST /openapi/v1/{omadacId}/sites/{siteId}/setting/profiles/cert-profiles

Create a new certificate profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema CertProfileRequestOpenApiVO

FieldTypeRequiredDescription
namestringyesCert profile name, name should contain 1 to 64 characters.
typeintegeryesCert profile type, type should be a value as follows: 0: CA Cert; 1: Client Cert..
formatintegeryesCert profile format, format should be a value as follows: 0: X509; 1: DER.
caCertFileIdstringnoCA Certificate file id, it's obtained from the interface 'uploadCaCertFile'; When type = 0, Parameter [caCertFileId] should not be null.
clientCertFileIdstringnoClient certificate file id, it's obtained from the interface 'uploadClientCertFile'; When type = 1, Parameter [clientCertFileId] should not be null.
privateKeyFileIdstringnoClient private key file id, it's obtained from the interface 'UploadClientPrivateKeyFile'; When type = 1, Parameter [privateKeyFileId] should not be null.
privateKeyPasswordstringnoClient private key password; When type = 1, Parameter [privateKeyPassword] is an optional input.
json
// omada_call_operation
{
  "operationId": "createCertProfile_1",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create a new certificate profile with the given params.
The interface requires one of the permissions:
Network Config Page Modify
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-33794 - This Certification profile name already exists.
-33795 - The number of Certification profiles has reached the limit.
-33797 - The certificate file cannot be parsed, please check the file or try uploading another file

deleteCertProfile_1 ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/setting/profiles/cert-profiles/{certId}

Delete an exist certificate profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
certIdpathstringyesCert profile ID
json
// omada_call_operation
{
  "operationId": "deleteCertProfile_1",
  "params": {
    "siteId": "<siteId>",
    "certId": "<certId>"
  }
}
Details, permissions and error codes

Delete an exist certificate profile with the given params.
The interface requires one of the permissions:
Network Config Page Modify
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.

getCertProfileDetail_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/profiles/cert-profiles/{certId}

Get a certificate profile detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
certIdpathstringyesCert profile ID
json
// omada_call_operation
{
  "operationId": "getCertProfileDetail_1",
  "params": {
    "siteId": "<siteId>",
    "certId": "<certId>"
  }
}
Details, permissions and error codes

Get a certificate profile detail with the given params.
The interface requires one of the permissions:
Network Config Page View Only
Site Settings Manager View Only

modifyCertProfile_1 ​

POST /openapi/v1/{omadacId}/sites/{siteId}/setting/profiles/cert-profiles/{certId}

Modify an exist certificate profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
certIdpathstringyesCertificate profile ID

Request body — application/json (required) — schema CertProfileRequestOpenApiVO

FieldTypeRequiredDescription
namestringyesCert profile name, name should contain 1 to 64 characters.
typeintegeryesCert profile type, type should be a value as follows: 0: CA Cert; 1: Client Cert..
formatintegeryesCert profile format, format should be a value as follows: 0: X509; 1: DER.
caCertFileIdstringnoCA Certificate file id, it's obtained from the interface 'uploadCaCertFile'; When type = 0, Parameter [caCertFileId] should not be null.
clientCertFileIdstringnoClient certificate file id, it's obtained from the interface 'uploadClientCertFile'; When type = 1, Parameter [clientCertFileId] should not be null.
privateKeyFileIdstringnoClient private key file id, it's obtained from the interface 'UploadClientPrivateKeyFile'; When type = 1, Parameter [privateKeyFileId] should not be null.
privateKeyPasswordstringnoClient private key password; When type = 1, Parameter [privateKeyPassword] is an optional input.
json
// omada_call_operation
{
  "operationId": "modifyCertProfile_1",
  "params": {
    "siteId": "<siteId>",
    "certId": "<certId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an exist certificate profile with the given params.
The interface requires one of the permissions:
Network Config Page Modify
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-33793 - This Certification Authority does not exist.
-33797 - The certificate file cannot be parsed, please check the file or try uploading another file

deleteCertProfileFile_1 ​

POST /openapi/v1/{omadacId}/sites/{siteId}/setting/profiles/cert-profiles/delete-file

Delete an exist certificate profile file

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema CertProfileFileIdVO

FieldTypeRequiredDescription
fileIdstringnoCertificate profile file id.
json
// omada_call_operation
{
  "operationId": "deleteCertProfileFile_1",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete an exist certificate profile file with the given params.
The interface requires one of the permissions:
Network Config Page Modify
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.

deleteCertProfileFile_2 ​

POST /openapi/v1/{omadacId}/sites/{siteId}/setting/profiles/cert-profiles/delete-file/{fileId}

Deprecated

This operation is deprecated.

Delete an exist certificate profile file by id in url

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
fileIdpathstringyesCert profile file ID
json
// omada_call_operation
{
  "operationId": "deleteCertProfileFile_2",
  "params": {
    "siteId": "<siteId>",
    "fileId": "<fileId>"
  }
}
Details, permissions and error codes

Delete an exist certificate profile file with the given params.This interface has been deprecated. Please use the following interface instead: Delete an exist certificate profile file)
The interface requires one of the permissions:
Network Config Page Modify
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.